# 🌟 JSTAR Tab v2.6.2

Welcome to **JSTAR Tab v2.6.2**! This version builds upon the previous release with new features and improvements to enhance your browsing experience even further. 🚀

## 🎉 What's New in v2.6.2?

- **New/Improved animations**: Experience the new responsive animations in the new update!

## 📥 Installation

1. Visit [JSTAR Tab Website](https://jstartab.netlify.app)
2. Select your browser or mobile browser from the available options.
3. Follow the installation instructions specific to your browser.

Alternative Manual Installation:
1. **Download the Latest Release**: [JSTAR Tab v2.6.2](https://github.com/DevJSTAR/JSTAR-Tab/releases/latest)
2. **Extract the Files**: Unzip the downloaded file to a directory of your choice.
3. **Load the Extension**:
   - Open your browser and navigate to the extensions page.
   - Enable "Developer mode" (usually a toggle in the top right corner).
   - Click "Load unpacked" and select the directory where you extracted the files.

## 🛠️ Features

- **Custom Greeting Format**: Create unique greetings using various format tags. 📝
- **Customizable Themes**: Choose between light and dark themes to suit your mood. 🌗
- **Search Engine Selection**: Choose your preferred search engine from a variety of options.
- **Shortcut Management**: Easily add, edit, and remove shortcuts to your favorite sites.
- **Data Backup and Restore**: Export your settings and shortcuts to a file and import them back anytime.
- **Onboarding Process**: A step-by-step guide to help you set up your new tab with ease.
- **Keyboard Shortcuts**: Configure shortcuts for quick access to features.

## 🎨 Customizing Your Greeting

1. **Format Tags**: Use these tags in your custom greeting:
   - `{name}`: Your display name
   - `{greeting}`: Time-based greeting (e.g., Good morning)
   - `{time}`: Current time
   - `{date}`: Current date
   - `{day}`: Day of the week
   - `{month}`: Current month
   - `{year}`: Current year
2. **Examples**:
   - "Hello {name}, it's {time} on {day}!"
   - "{greeting}, {name}! Today is {date}"
   - "Happy {day}, {name}!"

## 📚 Usage

- **Settings**: Click the settings icon ⚙️ to open the settings panel where you can customize your experience.
- **Custom Greeting**: Enter your preferred greeting format in the settings panel.
- **Add Shortcuts**: Click the "+" button to add a new shortcut. Enter the name and URL, then save.
- **Edit Shortcuts**: Right-click on a shortcut to edit or delete it.
- **Theme Toggle**: Switch between light and dark themes using the theme toggle button.
- **Keyboard Shortcuts**: Use configured shortcuts for quick actions.

## 📝 Contributing

We welcome contributions! If you have suggestions or improvements, feel free to fork the repository and submit a pull request. For major changes, please open an issue first to discuss what you would like to change.
Thanks JSTAR.

## 📄 License

This project is licensed under the [MIT License](https://github.com/DevJSTAR/JSTAR-Tab/blob/main/LICENSE).

## ❤️ Acknowledgments

- **Font Awesome**: For the beautiful icons used throughout the extension.
- **Google Fonts**: For the sleek and modern typography.

## 🌐 Connect with Us

- **[Linktree](https://linktr.ee/jstarsdev)**
- **[Patreon](https://patreon.com/jstarsdev)**
- **[Latest Release](https://github.com/DevJSTAR/JSTAR-Tab/releases/latest)**

Thank you for using JSTAR Tab! We hope it makes your browsing experience more enjoyable and productive. Meow? 🙂 
